{% extends 'core.html' %} 

{% block title %}Mi Cuenta{% endblock %} 

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
<div class="card container mt-5 mb-5">
  {% if error_message %}
      <div class="alert alert-warning alert-dismissible fade show mt-2" role="alert">
      <strong>Error: </strong>{{error_message}}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
      </button>
      </div>    
  {% endif %}
  <div class="container mt-5 mb-2">
      <div class="row">
          <div class="col-12 col-sm-12 col-md-4 col-lg-2 col-xl-2">
            {% if user.profile_picture%}
            <img class="img-thumbnail" style="max-height:200px" src="{{user.profile_picture.url}}">
            {% else %}
            <img class="img-thumbnail" style="max-height:200px" src="{% static 'users/img/profile-placeholder.gif' %}">
            {% endif %}
          </div>
          <div class="col-12 col-sm-12 col-md-10 col-lg-10 col-xl-10">
            <div class="row">
              <div class="col-12">
                <h1 class="display-4">{{ user.first_name }} {{ user.last_name }}</h1>
              </div>
              <div class="col-12">
                <h1 class="display-6">{{ user.username }}</h1>
              </div> 
              <div class="col-12 col-sm-6 col-md-8 col-lg-10 col-xl-10">
                <p class="lead">Miembro desde: {{ user.date_joined.date }}</p>
              </div>   
              <div class="col-12 col-sm-6 col-md-4 col-lg-2 col-xl-2">
                <button id="showDetailsButton" type="button" class="btn btn-warning">Editar Cuenta</button>
              </div>             
            </div>
          </div>
      </div>
  </div>

  <div class="container"><hr/></div>

  <div class="container p-4" id="detailsContainer" style="display:none">
      <div class="card text-center align-middle">
        <div class="card-header bg-dark text-white">
            Editar Cuenta
        </div>
        <div class="card-body">
          <form method="POST" action="{% url 'update-account-details'%}" enctype="multipart/form-data">
              {% csrf_token %}
              <div class="row">
                  <div class="col-6">
                      {{ form.email|as_crispy_field }}
                  </div>
                  <div class="col-6">
                      {{ form.mobile_phone|as_crispy_field }}
                  </div>
                  <div class="col-12">
                      {{ form.profile_picture|as_crispy_field }}
                  </div>
              </div>
              <button type="submit" class="btn btn-dark">Actualizar</button>
          </form>  
          <button class="btn btn-danger mt-2" id="closeDetailsButton">Cancelar</button>    
        </div>
      </div>
      <div class="container p-4"><hr/></div>
  </div>

  <div class="container mt-2">
    <h1 class="display-5">Información Personal</h1>
    <div class="row">
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="lead"><strong>Correo:</strong> {{ user.email }}</P>
        </div>
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="lead"><strong>Teléfono:</strong> {{ user.mobile_phone }}</P>
        </div>    
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="lead"><strong>Sexo:</strong> {{ user.get_sex_display }}</P>
        </div>
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="lead"><strong>Fecha de Nacimiento:</strong> {{ user.birth_date }}</P>
        </div>          
    </div>
  </div>

  <div class="container"><hr/></div>

  <div class="container mt-2">
    <h1 class="display-5">Detalles de la Cuenta</h1>
    <div class="row">
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="lead"><strong>Publicaciones Disponibles:</strong> {{ user.available_publications }}</P>
        </div>
        {% if user.is_authenticated and not user.is_staff %}
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 text-right">
          <a type="button" class="btn btn-danger" href="{% url 'delete-account' %}">Eliminar Cuenta</a>
        </div>
        {% endif %}
    </div>
  </div>

  <div class="container"><hr/></div>

  <div class="container mt-2">
      <h1 class="display-5">Comentarios</h1>
      <div class="row ml-3">
          {% if comments %}
          {% for comment in comments %}
          <div class="container">
              <div class="media">
                  {% if comment.sender.profile_picture %}
                  <img class="mr-3 rounded-circle img-responsive" style="min-width:75px;min-height:75px;max-height:75px;max-width:75px;" src="{{comment.sender.profile_picture.url}}" style="max-width:4em;">
                  {% else %}
                  <img class="mr-3 rounded-circle" style="min-width:75px;min-height:75px;max-height:75px;max-width:75px;" src="{% static 'users/img/profile-placeholder.gif' %}" style="max-width:4em;">
                  {% endif %}
                  <div class="media-body">
                      <h4 class="mt-0"><a class="text-dark" href="{{comment.sender.get_absolute_url}}">{{comment.sender.username}}</a></h4>
                      <div class="row">   
                            <div class="col-12">
                                <p class="lead" style="overflow-wrap: anywhere;">{{comment.message}}</p>
                            </div>
                        </div>
                      <p>{{comment.emission_date}} <em><a class="text-danger" href="{% url 'report-comment' pk=comment.id%}"> Reportar Comentario</a></em></p>
                  </div>   
              </div>
              <hr/>
          </div>
          {% endfor %}
          {% else %}
          <div class="card-body text-center">
              <p class="lead">Tu perfil no tiene ningún comentario !</p>
          </div>
          {% endif %}
      </div>
  </div>
</div>


{% endblock %}

{% block scriptfiles %}
<script src="{% static 'users/js/updateaccountdetails.js' %}"></script>
{% endblock %}